<div class="artist-box" *ngIf="artist">
	
	<div id="artist-head-card">
		<div class="image">
			<img src="{{ artist.imageURL }}" *ngIf="artist.image && artist.image != 'null'">
		</div>
	</div>
	<div class="data">
		<h1>{{ artist.name }}</h1>

		<p class="description">{{ artist.description }}</p>

		<a [routerLink]="['/crear-album',artist.id]" *ngIf="identity.role == 'ROLE_ADMIN'" class="btn btn-default">
			Añadir álbum
		</a>
	</div>
	<div class="clearfix"></div>
	<div id="gallery-albums" *ngIf="albums">
		<!-- Listar los albums del artista -->
		<ul class="album-list">
			<li *ngFor="let album of albums" class="col-lg-2 col-md-3 col-sm-4 col-xs-10 album-item">
				<div class="album-image">
					<img src="{{ album.imageURL }}">
				</div>
				<div class="album-name">
					<p>
						<a [routerLink]="['/album', album._id]">
							{{album.title}}
						</a>
					</p>
					<p>
						<a [routerLink]="['/artista', album.artist._id]">
							{{album.artist.name}}
						</a>
					</p>
					<div class="buttons" *ngIf="identity.role == 'ROLE_ADMIN'">
						<a [routerLink]="['/editar-album', album._id]" class="btn btn-sm btn-warning">Editar</a>
						<a (click)="onDeleteConfirm(album.id)" class="btn btn-sm btn-danger">Borrar</a>
					</div>
				</div>

				<div class="seguro seguro-album" *ngIf="confirmado == album._id">
					<a (click)="onDeleteAlbum(album._id)" class="btn btn-sm btn-danger">Borrar</a>
					<a (click)="onCancelAlbum(album._id)" class="btn btn-sm btn-primary">Cancelar</a>
				</div>
			</li>
		</ul>
	</div>
</div>